> For the complete documentation index, see [llms.txt](https://docs.faronics.com/faronics-insight-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.faronics.com/faronics-insight-docs/installation-and-administration/installation/installing-on-chrome-os-devices/configuring-chrome-os-devices.md).

# Configuring Chrome OS Devices

Chrome OS devices that are managed through a Google Workspaces account can have configuration settings for Faronics Insight applied through the Google Admin Console by adding a JSON file to the Apps & Extensions page entry for the Insight Student Application.

A sample JSON file with the supported configuration options can be found below:

```
{    
     "studentName": "John Doe",
     "classId": "Class101",     
     "useConnector": true,     
     "connectorAddress": "192.168.1.100" 
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.faronics.com/faronics-insight-docs/installation-and-administration/installation/installing-on-chrome-os-devices/configuring-chrome-os-devices.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
